Problem installing ggplot2

Hi,
am trying to install ggplot2 and am getting the "package x had non-zero exit status" on

pkgload
testthat
isoband
and finally ggplot2
what could be the problem?

We would need to see the actual error message to find out, can you post it?

Sorry, I got the solution. I had to uninstall and reinstall r_base and my old packages were recovered. Thanks though, I appreciate!